﻿using DemoExam.Pages;
using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.IO;
using System.IO.Pipes;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace DemoExam
{
    /// <summary>
    /// Логика взаимодействия для MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public static UserControl ShowingPage
        {
            set => _mainWindow.ShowingPageContentControl.Content = value;
        }


        private static MainWindow _mainWindow;


        public MainWindow()
        {
            InitializeComponent();

            SetUpDebuggerFile();
            Trace.WriteLine($"Trace - Новый запуск программы: {DateTime.Now}");
            Debug.WriteLine($"Debug - Новый запуск программы: {DateTime.Now}");
            Trace.Flush();

            _mainWindow = this;
            ShowingPage = new AuthorizationUserControl();
        }


        private void SetUpDebuggerFile()
        {
            //System.IO.Stream fileStream = File.Open("TraceFile.txt", FileMode.Append); 
            System.IO.Stream fileStream = File.Open("TraceFile.txt", FileMode.OpenOrCreate);
            fileStream.Seek(0, SeekOrigin.End);
            Trace.Listeners.Add(new TextWriterTraceListener(fileStream));
            Trace.AutoFlush = true;
        }
    }
}
