﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Text.RegularExpressions;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace DemoExam.Pages
{
    /// <summary>
    /// Логика взаимодействия для RepairListUserControl.xaml
    /// </summary>
    public partial class RepairListUserControl : UserControl
    {
        public RepairListUserControl()
        {
            InitializeComponent();

            UpdateRequestsFromDB();
            RepairRequestListDataGrid.ItemsSource = _requestsAfterSearching;
        }


        private List<Requests> _requestsFromDataBase;
        private List<Requests> _requestsAfterSearching;

        private Entities _db = new Entities();


        private void UpdateRequestsFromDB()
        {
            _requestsFromDataBase = _db.Requests.ToList();
            UpdateRequestsWithSearching();
        }

        private void UpdateRequestsWithSearching() =>
            _requestsAfterSearching = _requestsFromDataBase.Where(a => Regex.IsMatch(a.RequestId.ToString(), $"{SearchTextBox.Text}")).ToList();

        private void SearchTextBoxTextChangedHandler(object sender, TextChangedEventArgs e)
        {
            UpdateRequestsWithSearching();
            RepairRequestListDataGrid.ItemsSource = _requestsAfterSearching;
        }
    }
}
